import http from "@/http/http.js";

let baseUrl = "/api/web/action/tmTools/springBoard";

// 获取selftmreg的尼斯查询 一级查询得到二级树
export function getNiceQueryLevelOne(nclcodeSCode) {
    return http.post(baseUrl, {
        actionBody: {
            nclcode: nclcodeSCode
        },
        actionType: "getNcl",
        requrl: "/action/tmTools/springBoard"
    });
}

// 分类过滤接口
export function getNiceQueryLevelTwo() {
    return http.post(baseUrl, {
        actionBody: {
            name: "生物化学", //Y strin 尼斯名称
            ncls: ["01"] //N List 尼斯大类编码列表
        },
        actionType: "getNclByLikeNameAndNcl"
    });
}

//文字转图片
export function word2pic(word) {
    return http.post(baseUrl, {
        actionBody: {
            word: word
        },
        actionType: "word2pic"
    });
}
//获取oss
export function getOss() {
    return http.post(baseUrl, {
        actionBody: {},
        actionType: "getOssConfig"
    });
}

//商标样式转换
export function uploadStandardTm(url) {
    return http.post(baseUrl, {
        actionType: "uploadStandardTm",
        actionBody: {
            key: url
        }
    });
}

//企业近似查询
export function getCompanyInfoByLikeName(name) {
    return http.post(baseUrl, {
        actionType: "getCompanyInfoByLikeName",
        actionBody: {
            likestr: name
        }
    })
}